Package: org.gradle.tooling

## [Java] Class GradleConnectionException

- org.gradle.tooling.GradleConnectionException

- Thrown when there is some problem using a Gradle connection.

  Since:
    1.0-milestone-3

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GradleConnectionException (String message)`
    `GradleConnectionException (String message, Throwable throwable)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class RuntimeException` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`
    `class Exception` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public GradleConnectionException(String message)

    - #### public GradleConnectionException(String message, Throwable throwable)